%define name dvgrab
%define version 0.89
%define release 1mdk

Summary: FireWire interface
Name: %name
Version: %version
Release: %release
Copyright: GPL
URl: http://www.schirmacher.de/arne/dvgrab/index_e.html
Group: Video
Source0: %{name}_%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: libraw1394 >= 0.6

%description
This soft enable to grab AVI-2 films from a DV camera using the IEEE-1394 bus
(aka FireWire).
DV stand for Digital Video and is the name of the new numeric camera
generation.

Warning: this requires 2.4.x kernel

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}_%{version}

%build
perl -pi -e 's!/local!!g' Makefile
make CPPFLAGS="$RPM_OPT_FLAGS -fexceptions"
mkdir -p $RPM_BUILD_ROOT/usr/bin/

%install
for i in rawdump dvgrab riffdump;do install -s -m755 $i $RPM_BUILD_ROOT/usr/bin/;done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README INFO.html 
%{_bindir}/rawdump
%{_bindir}/dvgrab
%{_bindir}/riffdump

%changelog
* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.89-1mdk
- updated to 0.89

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.84-1mdk
- new release
- change group for Video

* Mon Jul 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.83-1mdk
- initial spec
